"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProcessNodePoolCommand = void 0;
const node_assert_1 = require("node:assert");
class ProcessNodePoolCommand {
    constructor(id) {
        this.id = id;
    }
    validate() {
        throw new Error('Method not implemented.');
    }
    static create(id) {
        if (!id) {
            throw new node_assert_1.AssertionError({
                message: 'id is required for ProcessNodePoolCommand, skipping not processing message'
            });
        }
        return new ProcessNodePoolCommand(id);
    }
    getNodePoolId() {
        return this.id;
    }
}
exports.ProcessNodePoolCommand = ProcessNodePoolCommand;
//# sourceMappingURL=ProcessNodePoolCommand.js.map