"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepDataAdapterFactory = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const ApiStepDataAdapter_1 = require("./ApiStepDataAdapter");
class StepDataAdapterFactory {
    static create(adapterType = microservice_1.AclAdapterDi.api) {
        if (adapterType === microservice_1.AclAdapterDi.api) {
            return new ApiStepDataAdapter_1.ApiStepDataAdapter();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.StepDataAdapterFactory = StepDataAdapterFactory;
//# sourceMappingURL=StepDataAdapterFactory.js.map