"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericVo = void 0;
class GenericVo {
    constructor(value) {
        this.value = value;
    }
    getValue() {
        return this.value;
    }
    isEqualTo(valueObject) {
        return this.value === valueObject.getValue();
    }
    isNotEqualTo(valueObject) {
        return this.value !== valueObject.getValue();
    }
    isIn(valueArray) {
        return valueArray.includes(this.value);
    }
    isNotIn(valueArray) {
        return !valueArray.includes(this.value);
    }
}
exports.GenericVo = GenericVo;
//# sourceMappingURL=GenericVo.js.map